# EnumType

Class in [Yarn](/api/csharp/yarn.md)

Inherits from [`TypeBase`](/api/csharp/yarn/yarn.typebase.md)

## Summary

A type that represents enumerations.

```csharp
public class EnumType : TypeBase
```

## Constructors

| Name                                                                                      | Description                                                                                                                                                                                                                         |
| ----------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [EnumType(string,string,TypeBase)](/api/csharp/yarn/yarn.enumtype/yarn.enumtype..ctor.md) | Initializes a new instance of the [EnumType](/api/csharp/yarn/yarn.enumtype.md) class that represents an enum type. This type has no methods of its own, and is a subtype of [Any](/api/csharp/yarn/yarn.types/yarn.types.any.md) . |

## Properties

| Name                                                                       | Description                                     |
| -------------------------------------------------------------------------- | ----------------------------------------------- |
| [Description](/api/csharp/yarn/yarn.enumtype/yarn.enumtype.description.md) | Gets a string describing this type.             |
| [EnumCases](/api/csharp/yarn/yarn.enumtype/yarn.enumtype.enumcases.md)     | Gets the collection of enum cases in this enum. |
| [Name](/api/csharp/yarn/yarn.enumtype/yarn.enumtype.name.md)               | Gets the name of this type.                     |
| [Parent](/api/csharp/yarn/yarn.enumtype/yarn.enumtype.parent.md)           | Gets the parent of this type.                   |
| [RawType](/api/csharp/yarn/yarn.enumtype/yarn.enumtype.rawtype.md)         | Gets the type of this enum's members.           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn/yarn.enumtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
